import { Component, OnInit, ViewChild } from '@angular/core';
import { rareEartElements } from 'src/assets/rareEarths';
import { environment } from 'src/environments/environment';
import { LaptopService } from '../services/laptop/laptop.service';
import { ReeService } from '../services/ree/ree.service';

@Component({
  selector: 'app-details',
  templateUrl: './details.page.html',
  styleUrls: ['./details.page.scss'],
})
export class DetailsPage implements OnInit {
  position: any;
  rees: any[] = rareEartElements;
  @ViewChild('map') map: any;
  apiUrl = environment.apiUrl.split('api/v1/')[0];
  selectedRee: any;
  laptop: any;
  equiv_factors = {
    householdEnergy: 7.934390900939,
    oilBarrels: 0.432351333333333,
    householdElectricity: 5.13941793472126,
    treeSeedlings: 0.060477459946,
    forestsAcres: 0.8385619901462,
    coalPounds: 0.00089273484044,
    milesDriven: 0.00039008424426,
    smarphonesCharged: 0.000008220801096087,
  };

  constructor(private reeSrv: ReeService, private laptopSrv: LaptopService) {}

  async ngOnInit() {
    this.laptop = this.laptopSrv.selectedLaptop.value;
    console.log(this.laptop);
  }

  async check(e: any) {
    if (e.detail.value === 'ree') {
      this.rees = <any>await this.reeSrv.getRees();
    }
  }
}
