import { Component, OnInit, ViewChild } from '@angular/core';
import { Router } from '@angular/router';
import { LaptopService } from '../services/laptop/laptop.service';
import { laptops } from './../../assets/laptops';

@Component({
  selector: 'app-home',
  templateUrl: 'home.page.html',
  styleUrls: ['home.page.scss'],
})
export class HomePage implements OnInit {
  laptops: any = laptops;
  suggestions: any;
  @ViewChild('research') research: any;
  filterValue: string = '';

  constructor(private laptopSrv: LaptopService, private router: Router) {}

  async ngOnInit() {
    // this.laptops = await this.laptopSrv.getLaptops();
  }

  search(e: any) {
    this.suggestions = this.laptops.filter((laptop: any) =>
      laptop.model.includes(e.query)
    );
  }

  selectPC(pc: any) {
    this.laptopSrv.selectedLaptop.next(pc);
  }

  check() {
    setTimeout(() => {
      this.router.navigate(['/details']);
    }, 100);
  }

  filter(val: string, e?: any) {
    this.filterValue = this.filterValue === val ? '' : val;
  }

  logout() {
    localStorage.clear();
    this.router.navigate(['/login']);
  }
}
