import { Component, OnInit, ViewChild } from '@angular/core';
import { Router } from '@angular/router';
import { AuthService } from '../services/auth/auth.service';

@Component({
  selector: 'app-login',
  templateUrl: './login.page.html',
  styleUrls: ['./login.page.scss'],
  providers: [AuthService],
})
export class LoginPage implements OnInit {
  credentials: any = {};
  @ViewChild('toast') toast: any;

  constructor(private authSrv: AuthService, private router: Router) {}

  ngOnInit() {}

  async login() {
    try {
      const user: any = await this.authSrv.login(this.credentials);
      if (user.token) {
        localStorage.setItem('user', JSON.stringify(user));
        this.router.navigate(['/home']);
      } else {
        this.toast.present();
      }
    } catch (error) {
      this.toast.present();
    }
  }
}
