import { Component, OnInit, ViewChild } from '@angular/core';
import {
  FormControl,
  FormGroup,
  Validators
} from '@angular/forms';
import { Router } from '@angular/router';
import { AuthService } from '../services/auth/auth.service';

@Component({
  selector: 'app-register',
  templateUrl: './register.page.html',
  styleUrls: ['./register.page.scss'],
  providers: [AuthService],
})
export class RegisterPage implements OnInit {
  user: any = {};
  form = new FormGroup({
    name: new FormControl('', [Validators.required]),
    email: new FormControl('', [Validators.required, Validators.email]),
    password: new FormControl('', [Validators.required]),
    conf_password: new FormControl('', [Validators.required]),
  });
  @ViewChild('toast') toast: any;

  constructor(private authSrv: AuthService, private router: Router) {}

  ngOnInit() {}

  async register() {
    if (this.form.valid) {
      const val = this.form.value
      if(val.password === val.conf_password){
        try {
          await this.authSrv.register(this.form.value);
          this.router.navigate(['/login']);
        } catch (error) {}
      }else{
        this.toast.present()
      }
    }
  }
}
